Bug 203779 - www/yabb: fix installation from non-root
Summary: www/yabb: fix installation from non-root
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Rodrigo Osorio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-14 20:26 UTC by Dmitry Marakasov
Modified: 2015-10-27 08:20 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (rodrigo)


Attachments
Patch (3.71 KB, patch)
2015-10-14 20:26 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2015-10-14 20:26:30 UTC
Created attachment 162052 [details]
Patch

- Remove NO_PACKAGE, I don't see why's it needed
- Add NOARCH
- Fix leftover .bak files from patching
- Fix build from non-root (change WRKDIR permissions after patching, otherwise patching will fail)
- Fix install fro non-root (move owner handling to plist)

Note that all files owner by www is incorrect and a security problem: only specific writable directories should be owned by www. This PR doesn't fix it.
Comment 1 Rodrigo Osorio freebsd_committer 2015-10-16 07:06:57 UTC
(In reply to Dmitry Marakasov from comment #0)
>- Remove NO_PACKAGE, I don't see why's it needed
Part of the port history, the original maintainer found no way to maintain data integrity between upgrades.
Comment 2 Dmitry Marakasov freebsd_committer 2015-10-16 09:28:21 UTC
How would NO_PACKAGE help with that? There should be pkg-message or something.
Comment 3 Rodrigo Osorio freebsd_committer 2015-10-25 10:34:20 UTC
Commit is on the way, just few things to fix before
Comment 4 commit-hook freebsd_committer 2015-10-27 08:19:23 UTC
A commit references this bug:

Author: rodrigo
Date: Tue Oct 27 08:19:08 UTC 2015
New revision: 400220
URL: https://svnweb.freebsd.org/changeset/ports/400220

Log:
  Fix installation for non-root users
  Remove useless checkusm file

  PR:		203779
  Submitted by:	amdmi3

Changes:
  head/www/yabb/Makefile
  head/www/yabb/files/checksum.sha256
  head/www/yabb/pkg-plist
Comment 5 Rodrigo Osorio freebsd_committer 2015-10-27 08:20:06 UTC
Committed with minor changes, thanks and sorry for the delay